<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Anmeldung;


abstract class KursAnmeldeButtonView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  protected function getDataModul()
  {
    $result = $this->viewModel->kurs;
    $result->nichtAnmeldbar = $this->isNichtAnmeldbar();

    return $result;
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->getDataModul());
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurse(true);
  }

  protected function isNichtAnmeldbar(): bool
  {
    return false;
  }
}

class KursAnmeldeButtonViewModel extends \Kufer\KuferTools\Basis\View\BasisViewModel
{
  
  public $kurs;
}